let TEXURE = {
    "GUIDETIPS":"GUIDETIPS",
    "GUIDEND":"GUIDEND",
    "CLAIM":"CLAIM",
    "CLAIMED":"CLAIMED",
    "CLAIMX":"CLAIMX",
    "CLOSE":"CLOSE",
    "SOUND":"SOUND",
    "FREE":"FREE",
    "OFFLINETIT":"OFFLINETIT",
    "OFFLINETIPS":"OFFLINETIPS",
    "REWARD":"REWARD",
    "SIGN":"SIGN",
    "SIGNTIPS":"SIGNTIPS",
    "LOTTERYTIMES":"LOTTERYTIMES",
    "LOTTERYTIPS":"LOTTERYTIPS",
    "DRAW":"DRAW",
    "BUILDEND":"BUILDEND",
    "LESSMTRL":"LESSMTRL",
    "LESSCOIN":"LESSCOIN",
    "COINTIP":"COINTIP",
    "REFRESH":"REFRESH",
    "SHOP":"SHOP",
    "AUTOREFRESH":"AUTOREFRESH",
    "UPGRADE":"UPGRADE",
    "POWERUP":"POWERUP",
    "REVIVE":"REVIVE",
    "REVIVETIP":"REVIVETIP",
    "SHIELDTIP":"SHIELDTIP",
    "ASTEROIDS":"ASTEROIDS",
    "ASTEROIDTIP":"ASTEROIDTIP",
    "ENTER":"ENTER",
    "LOWLVL":"LOWLVL",
    "EQUIP":"EQUIP",
    "LIVE":"LIVE",
    "UNLOCK":"UNLOCK",
    "SELECTED":"SELECTED",
    "HOME":"HOME",
    "GOHOME":"GOHOME",
    "LOSTMAT":"LOSTMAT",
    "NOAD": "NOAD",
    "ADTIPS": "ADTIPS",
    "ZHIYIN": "ZHIYIN"
}
let LANGUAGE = {
    en: {
        "ZHIYIN":"点击开始！",
        "GUIDETIPS":"欢迎来到我的宇宙，请移动到树的位置获取材料。",
        "GUIDEND":"去创造你的世界！",
        "CLAIM":"领取",
        "CLAIMED":"已领取",
        "CLAIMX":"领取 X<x>",
        "CLOSE":"关闭",
        "SOUND":"声音",
        "FREE":"免费",
        "REWARD":"奖励",
        "SIGN":"每日奖励",
        "SIGNTIPS":"连续登录7天获得礼物",
        "LOTTERYTIMES":" ",
        "LOTTERYTIPS":"每天免费一次",
        "DRAW":"开始",
        "OFFLINETIT":"离线收入",
        "OFFLINETIPS":"最大离线收入为 2 小时~",
        "BUILDEND":"建造结束",
        "LESSMTRL":"材料不够",
        "LESSCOIN":"金币",
        "COINTIP":"金币不足",
        "REFRESH":"刷新",
        "SHOP":"商店",
        "AUTOREFRESH":"自动刷新 <x>",
        "UPGRADE":"升级",
        "POWERUP":"等级+1",
        "REVIVE":"复活",
        "REVIVETIP":"复活会损失一些材料",
        "SHIELDTIP":"30秒无敌，免疫怪物攻击",
        "ASTEROIDS":"探索小行星",
        "ASTEROIDTIP":"来自小行星的优质材料",
        "ENTER":"确定",
        "LOWLVL":"降级",
        "EQUIP":"装备",
        "LIVE":"生命值:<x>",
        "UNLOCK":"解锁",
        "SELECTED":"已选",
        "HOME":"回到起点",
        "GOHOME":"加载中...",
        "LOSTMAT":"你失去了 <x>",
        "NOAD": "暂时没有广告可以观看",
        "ADTIPS": "观看广告后才能获得奖励."
    },
    ru: {
        "ZHIYIN":"Click to start.",
        "GUIDETIPS":"Welcome to my universe, please move to the position of the tree to get the materials.",
        "GUIDEND":"Go and create your world！",
        "CLAIM":"Claim",
        "CLAIMED":"Claimed",
        "CLAIMX":"Claim X<x>",
        "CLOSE":"Close",
        "SOUND":"Sound",
        "FREE":"free",
        "REWARD":"Reward",
        "SIGN":"Sign",
        "SIGNTIPS":"Sign in 7-day gift",
        "LOTTERYTIMES":" ",
        "LOTTERYTIPS":"Free 1 time each day",
        "DRAW":"Draw",
        "OFFLINETIT":"Offline Revenue",
        "OFFLINETIPS":"The max offline revenue is 2 hours~",
        "BUILDEND":"Build end",
        "LESSMTRL":"Materials not enough",
        "LESSCOIN":"Coins",
        "COINTIP":"Coins not enough",
        "REFRESH":"Refresh",
        "SHOP":"Shop",
        "AUTOREFRESH":"auto refresh <x>",
        "UPGRADE":"Upgrade",
        "POWERUP":"power+1",
        "REVIVE":"Revive",
        "REVIVETIP":"Revive will lose some materials",
        "SHIELDTIP":"Invincible for 30s, immune to monster attack",
        "ASTEROIDS":"Explor Asteroids",
        "ASTEROIDTIP":"premium materials from asteroids",
        "ENTER":"Enter",
        "LOWLVL":"Low level",
        "EQUIP":"Equipment",
        "LIVE":"Live:<x>",
        "UNLOCK":"Unlock",
        "SELECTED":"Selected",
        "HOME":"Home",
        "GOHOME":"Loading...",
        "LOSTMAT":"You lost <x>",
        "NOAD": "No Available Ad",
        "ADTIPS": "Only get rewards after watch Ad."
    }
}
function LANG_TEXT(t, r) {
    var lang = "en";
    return (r !== void(0) ? (LANGUAGE[lang][t]||t).replace(/<x>/ig, r):(
        LANGUAGE[lang][t]||t
    ));
}